@import 'custom-stock-cards';

.sp-card-stack {
  ul.sp-card-list {
    .sp-card {
      // Current account style
      .account-card {
        position: relative;
        display: inline;

        .account-card__top {
          border-radius: 6px 6px 0 0;
          height: 50%;
          background: white;
          display: flex;
          align-items: center;
          padding: 25px;

          .account-card__top-icon {
            height: 48px;
            width: 48px;
            margin-right: 15px;

            nlb-product-icon-ui img {
              width: 48px;
            }
          }

          .account-card__top-content {
            text-align: left;

            .top-header {
              font-size: 18px;
              text-align: left;
              color: $nlbIndigoColor;
            }

            .top-subheader {
            }
          }
        }

        .account-card__bottom {
          border-radius: 0 0 6px 6px;

          height: 50%;
          background: $nlbIndigoColor;
          color: white;

          .account-card__header {
            font-size: 24px;
            text-align: left;
            padding: 15px 20px;
          }

          .account-card__subheader {
            padding-left: 20px;
            justify-content: space-between;
            padding-right: 20px;
          }
        }

        &.Credit_Card {
          .account-card__top .account-card__top-content .top-header {
            color: $nlbOrangeColor;
          }

          .account-card__bottom {
            background: $nlbOrangeColor;
          }
        }
      }

      // Credit card style
      .card-account-card {
        width: 100%;
        height: 100%;
        border-radius: 8px;

        @include cards;
      }
    }
  }
}

.sp-card-stack-dots {
  text-align: center;

  li.sp-card-dot {
    display: inline-flex;
    background: #ffffff;
    width: 9px;
    height: 9px;
    border-radius: 50%;
    margin-right: 4.5px;
    border: 1px solid $nlb-gray-a;

    //&:hover {
    //  cursor: pointer;
    //}

    &.selected {
      background: $nlbDarkestGreyColor;
      border: none;
    }
  }
}
